-- UpdateInvoiceUploadTempFromICS

DECLARE 
	@@PROCESS_ID BIGINT, 
	@@SQL VARCHAR(MAX);

SET @@PROCESS_ID = @0; 

DECLARE @@TB_T_INVOICE_UPLOAD_REMARK TABLE 
(
   PROCESS_ID       bigint          NOT NULL,
   ROW_NO           int             NOT NULL,
   VALIDATION_TYPE  varchar(1),
   REMARKS          varchar(8000)
);

SET @@SQL= 'SELECT PROCESS_ID, ROW_NO, VALIDATION_TYPE, REMARKS ' 
	    + ' FROM OPENQUERY(IPPCS_TO_ICS, ' 
        + '''SELECT PROCESS_ID, ROW_NO, VALIDATION_TYPE, REMARKS ' 
		+ ' FROM TB_T_INVOICE_UPLOAD ' 
		+ ' WHERE OTHER_PROCESS_ID = ' 
		+ CONVERT(VARCHAR(20), @@PROCESS_ID)
		+ ''');';

PRINT @@SQL;

INSERT @@TB_T_INVOICE_UPLOAD_REMARK (PROCESS_ID, ROW_NO, VALIDATION_TYPE, REMARKS) 
EXEC(@@SQL);

UPDATE TB_T_INV_UPLOAD 
SET 
	TB_T_INV_UPLOAD.VALIDATION_TYPE = r.VALIDATION_TYPE 
	, TB_T_INV_UPLOAD.REMARKS = r.REMARKS 
FROM @@TB_T_INVOICE_UPLOAD_REMARK r
WHERE TB_T_INV_UPLOAD.ROW_NO = r.ROW_NO 
AND TB_T_INV_UPLOAD.PROCESS_ID = @@PROCESS_ID;